<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>定位实现-左右固定宽度 中间自适应</title>
    <style>
        body,html,.container{
            height: 100%;
            padding: 0;
            margin: 0;
            overflow: hidden;
        }
        /*左右进行绝对定位*/
        .left,.right{
            position: absolute;
            height:100%;
            top: 0;
            background: #333;
        }
        .left{
            left: 0;
            width: 200px;
        }
        .right{
            right: 0;
            width: 200px;
        }
        /*中间用margin空出左右元素所占的空间*/
        .main{
            height:100%;
            margin: 0 200px;
            background: red;
        }
        /*或者中间也进行绝对定位*/
        .main{
            position: absolute;
            height:100%;
            left: 200px;
            right:200px;
            background: red;
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="left">Left</div>
        <div class="main">Main</div>
        <div class="right">Right</div>
    </div>
</body>
</html>